#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_autoreconf:
	# save original
	cp -v dict/INSTALL debian/orig.dict.INSTALL

override_dh_autoreconf:
	./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
               --disable-gnome-support

execute_after_dh_auto_build:
	cd dict/help;make stardict-html;cd -

override_dh_auto_test:
	xvfb-run dh_auto_test

override_dh_install:
	find debian -name '*.la' -print -delete
	mkdir -p debian/stardict/usr/share/icons/hicolor/128x128/apps
	mkdir -p debian/stardict/usr/share/icons/hicolor/64x64/apps
	mkdir -p debian/stardict/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/stardict/usr/share/icons/hicolor/16x16/apps
	install dict/pixmaps/stardict_128.png debian/stardict/usr/share/icons/hicolor/128x128/apps/stardict.png
	install dict/pixmaps/stardict.png debian/stardict/usr/share/icons/hicolor/64x64/apps/stardict.png
	install dict/pixmaps/stardict_32.png debian/stardict/usr/share/icons/hicolor/32x32/apps/stardict.png
	install dict/pixmaps/stardict_16.png debian/stardict/usr/share/icons/hicolor/16x16/apps/stardict.png
	dh_install

execute_before_dh_clean:
	# restore original
	if test -e debian/orig.dict.INSTALL; then \
		mv -fv debian/orig.dict.INSTALL dict/INSTALL; \
	fi
override_dh_clean:
	dh_clean -Xkmp.cpp.bak -Xkmp.h.bak
